### Method

# AppStream SystemInfo get_display_length

#### Declaration [src]

    gulong
    as_system_info_get_display_length (
      AsSystemInfo* sysinfo,
      AsDisplaySideKind side
    )

#### Description [src]

Get the current display length for the given side kind.

If no value was set explicitly and we are in a Wayland session, the size of the largest connected display is determined automatically. If the display size is unknown, this function will return 0.

#### Parameters

`side`

  Type: `AsDisplaySideKind`

  The `AsDisplaySideKind` to select.

#### Return value

Type: `gulong`

The display size in logical pixels.